Index: cpukit/include/rtems/inttypes.h
===================================================================
--- cpukit/include/rtems/inttypes.h	(revision e0caabe08d9ca0f551c1b7dd8ce8de2dd39e250f)
+++ cpukit/include/rtems/inttypes.h	(revision 59e7209fb3181ab48c4f63da8a8deda8872157f7)
@@ -98,9 +98,5 @@
  */
 
-#if defined(RTEMS_USE_16_BIT_OBJECT)
-#define PRIxrtems_id PRIx16
-#else
 #define PRIxrtems_id PRIx32
-#endif
 
 /* c.f. cpukit/score/include/rtems/score/priority.h */
Index: cpukit/include/rtems/score/object.h
===================================================================
--- cpukit/include/rtems/score/object.h	(revision e0caabe08d9ca0f551c1b7dd8ce8de2dd39e250f)
+++ cpukit/include/rtems/score/object.h	(revision 59e7209fb3181ab48c4f63da8a8deda8872157f7)
@@ -62,40 +62,4 @@
 } Objects_Name;
 
-#if defined(RTEMS_USE_16_BIT_OBJECT)
-/**
- *  The following type defines the control block used to manage
- *  object IDs.  The format is as follows (0=LSB):
- *
- *     Bits  0 ..  7    = index  (up to 254 objects of a type)
- *     Bits  8 .. 10    = API    (up to 7 API classes)
- *     Bits 11 .. 15    = class  (up to 31 object types per API)
- */
-typedef uint16_t   Objects_Id;
-
-/**
- * This type is used to store the maximum number of allowed objects
- * of each type.
- */
-typedef uint8_t    Objects_Maximum;
-
-#define OBJECTS_INDEX_START_BIT  0U
-#define OBJECTS_API_START_BIT    8U
-#define OBJECTS_CLASS_START_BIT 11U
-
-#define OBJECTS_INDEX_MASK      (Objects_Id)0x00ffU
-#define OBJECTS_API_MASK        (Objects_Id)0x0700U
-#define OBJECTS_CLASS_MASK      (Objects_Id)0xF800U
-
-#define OBJECTS_INDEX_VALID_BITS  (Objects_Id)0x00ffU
-#define OBJECTS_API_VALID_BITS    (Objects_Id)0x0007U
-/* OBJECTS_NODE_VALID_BITS should not be used with 16 bit Ids */
-#define OBJECTS_CLASS_VALID_BITS  (Objects_Id)0x001fU
-
-#define OBJECTS_UNLIMITED_OBJECTS 0x8000U
-
-#define OBJECTS_ID_INITIAL_INDEX  (0)
-#define OBJECTS_ID_FINAL_INDEX    (0xff)
-
-#else
 /**
  *  The following type defines the control block used to manage
@@ -197,5 +161,4 @@
  */
 #define OBJECTS_ID_FINAL_INDEX    (0xffffU)
-#endif
 
 /**
@@ -314,13 +277,5 @@
 )
 {
-  /*
-   * If using 16-bit Ids, then there is no node field and it MUST
-   * be a single processor system.
-   */
-  #if defined(RTEMS_USE_16_BIT_OBJECT)
-    return 1;
-  #else
-    return (id >> OBJECTS_NODE_START_BIT) & OBJECTS_NODE_VALID_BITS;
-  #endif
+  return (id >> OBJECTS_NODE_START_BIT) & OBJECTS_NODE_VALID_BITS;
 }
 
@@ -362,7 +317,5 @@
   return (( (Objects_Id) the_api )   << OBJECTS_API_START_BIT)   |
          (( (Objects_Id) the_class ) << OBJECTS_CLASS_START_BIT) |
-         #if !defined(RTEMS_USE_16_BIT_OBJECT)
-           (( (Objects_Id) node )    << OBJECTS_NODE_START_BIT)  |
-         #endif
+         (( (Objects_Id) node )      << OBJECTS_NODE_START_BIT)  |
          (( (Objects_Id) index )     << OBJECTS_INDEX_START_BIT);
 }
Index: cpukit/libmisc/monitor/mon-driver.c
===================================================================
--- cpukit/libmisc/monitor/mon-driver.c	(revision e0caabe08d9ca0f551c1b7dd8ce8de2dd39e250f)
+++ cpukit/libmisc/monitor/mon-driver.c	(revision 59e7209fb3181ab48c4f63da8a8deda8872157f7)
@@ -108,9 +108,5 @@
     uint32_t            length = 0;
 
-#if defined(RTEMS_USE_16_BIT_OBJECT)
-    length += fprintf(stdout,"  %" PRId16 "", monitor_driver->id);
-#else
     length += fprintf(stdout,"  %" PRId32 "", monitor_driver->id);
-#endif
     length += rtems_monitor_pad(13, length);
     length += fprintf(stdout,"init: ");
Index: cpukit/libmisc/monitor/mon-prmisc.c
===================================================================
--- cpukit/libmisc/monitor/mon-prmisc.c	(revision e0caabe08d9ca0f551c1b7dd8ce8de2dd39e250f)
+++ cpukit/libmisc/monitor/mon-prmisc.c	(revision 59e7209fb3181ab48c4f63da8a8deda8872157f7)
@@ -89,9 +89,5 @@
 rtems_monitor_dump_id(rtems_id id)
 {
-#if defined(RTEMS_USE_16_BIT_OBJECT)
-    return fprintf(stdout,"%08" PRIx16, id);
-#else
     return fprintf(stdout,"%08" PRIx32, id);
-#endif
 }
 
